## qrtr 0.3+git20201207

=== debian/changelog ===
qrtr (0.3+git20201207-2) unstable; urgency=medium

  * Source-only upload

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Jul 2022 13:34:56 +0200

qrtr (0.3+git20201207-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1011423)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 29 Jun 2022 23:55:48 +0200
