=== debian/control ===
Source: qrtr
Section: net
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
Homepage: https://github.com/andersson/qrtr
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qrtr.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qrtr
Rules-Requires-Root: no

Package: libqrtr1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Userspace reference for QRTR -- shared libraries
 QRTR is Qualcomm's IPC Router protocol, used for communicating with
 services provided by remote processors. It is mandatory for taking
 advantage of most features of recent Qualcomm SoCs, such as Wi-Fi,
 cellular modem, sensors...
 .
 This package contains the shared library provided by the reference
 userspace implementation of this protocol.

Package: libqrtr-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqrtr1 (= ${binary:Version}),
Description: Userspace reference for QRTR -- development files
 QRTR is Qualcomm's IPC Router protocol, used for communicating with
 services provided by remote processors. It is mandatory for taking
 advantage of most features of recent Qualcomm SoCs, such as Wi-Fi,
 cellular modem, sensors...
 .
 This package contains the development files.

Package: qrtr-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Userspace reference for QRTR -- tools and services
 QRTR is Qualcomm's IPC Router protocol, used for communicating with
 services provided by remote processors. It is mandatory for taking
 advantage of most features of recent Qualcomm SoCs, such as Wi-Fi,
 cellular modem, sensors...
 .
 This package contains the userspace tools and services provided by
 the reference userspace implementation of this protocol.
