## qrtr 1.0

=== debian/changelog ===
qrtr (1.0-2) unstable; urgency=medium

  * qrtr-tools: install service file under `/lib/systemd`
    `debhelper` looks for service files under `/lib/systemd`, but ignores
    those installed under `/usr/lib/systemd`, so we need to install our
    service file to the former location to have it auto-enabled on install.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 10 Jan 2023 23:38:33 +0100

qrtr (1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libqrtr1: Add Multi-Arch: same.
    Changes-By: apply-multiarch-hints

  [ Arnaud Ferraris ]
  * New upstream version 1.0
  * d/control: bump Standards-Version, no change required

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 03 Jan 2023 09:51:05 +0100
