=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
 Homepage: https://github.com/andersson/qrtr
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qrtr.git
@@ -15,6 +15,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Multi-Arch: same
 Description: Userspace reference for QRTR -- shared libraries
  QRTR is Qualcomm's IPC Router protocol, used for communicating with
  services provided by remote processors. It is mandatory for taking
