=== debian/watch ===
version=4
opts=filenamemangle=s%.+/v?(\d\S+)\.tar\.gz%qrtr-$1\.tar\.gz% \
   https://github.com/andersson/qrtr/tags .*/v?(\d\S+)\.tar\.gz
