## qrtr 1.1

=== meson_options.txt ===
option('qrtr-ns',
  type: 'feature',
  value: 'auto',
  description: 'Whether or not to build the qrtr-ns binary'
)

option('systemd-unit-prefix',
  type: 'string',
  description: 'Directory for systemd system unit files'
)

option('systemd-service',
  type: 'feature',
  value: 'auto',
  description: 'Whether or not the systemd service should be built'
)
