=== debian/changelog ===
qrtr (1.1-2) unstable; urgency=medium

  * debian: update references to upstream URL.
    This project is now part of the `linux-msm` group on GitHub, and its
    main maintainer is now Konrad Dybcio.
  * d/copyright: add copyright information for new files
  * debian: add udeb package.
    This makes it possible to include this package in debian-installer
    images, allowing users to use remote processors (e.g. WiFi) when running
    on Qualcomm-based hardware.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 03 Feb 2025 17:11:23 +0100

qrtr (1.1-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop obsolete patches
  * d/control: add missing build-deps.
    The build system changed to `meson`, so we need a few additional build
    dependencies.
  * d/rules: stop overriding build/install commands.
    This was needed with the manually crafted makefile, but `meson` is saner
    and gets the needed bits from env. Additionally, a few options need to
    be manually enabled for the `systemd` service and `qrtr-ns` to be built.
  * d/install: add .pc file and use DEB_HOST_MULTIARCH.
    This new version now ships a pkgconfig file, so let's ship it as part of
    `libqrtr-dev`.
    Take this opportunity to replace the ugly `usr/lib/*/` wildcard with the
    proper `${DEB_HOST_MULTIARCH}` variable.
  * d/patches: restore libqrtr SONAME.
    The previous version of `libqrtr` had `libqrtr.so.1` as their SONAME,
    while the current version have only `libqrtr.so`. This is problematic as
    previously built binaries using this lib will have to be rebuilt for
    this new version.
    Restore the previous SONAME so things keep working as expected.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 23 Apr 2024 16:09:58 +0200

qrtr (1.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 02 Jan 2024 09:20:07 +0100

qrtr (1.0-3~exp1) experimental; urgency=medium

  * d/patches: add missing service file to the `clean` target (Closes: #1045729)
  * d/gbp.conf: use 'debian/experimental' as debian branch
  * debian: keep systemd service under /usr.
    In the current state of the Debian "/usr merge", we are allowed to move
    systemd services under `/usr/lib/systemd` when relying on
    `dh_installsystemd`. This requires adding a versioned dependency on
    `debhelper`.
    Let's comply by installing `/usr/lib/systemd` to `/usr/lib` instead of
    `/lib` previously.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 30 Oct 2023 17:19:45 +0100
