=== debian/control ===
--- 
+++ 
@@ -3,9 +3,14 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
-Homepage: https://github.com/andersson/qrtr
+               debhelper (>= 13.11.6),
+               meson,
+               ninja-build,
+               pkgconf,
+               systemd-dev,
+Homepage: https://github.com/linux-msm/qrtr
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qrtr.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qrtr
 Rules-Requires-Root: no
@@ -23,6 +28,24 @@
  cellular modem, sensors...
  .
  This package contains the shared library provided by the reference
+ userspace implementation of this protocol.
+
+Package: libqrtr1-udeb
+Build-Profiles: <!noudeb>
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: Userspace reference for QRTR -- minimal runtime
+ This is a udeb, or a microdeb, for the debian-installer.
+ .
+ QRTR is Qualcomm's IPC Router protocol, used for communicating with
+ services provided by remote processors. It is mandatory for taking
+ advantage of most features of recent Qualcomm SoCs, such as Wi-Fi,
+ cellular modem, sensors...
+ .
+ This package contains the minimal runtime library for the reference
  userspace implementation of this protocol.
 
 Package: libqrtr-dev
@@ -51,3 +74,21 @@
  .
  This package contains the userspace tools and services provided by
  the reference userspace implementation of this protocol.
+
+Package: qrtr-tools-udeb
+Build-Profiles: <!noudeb>
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Userspace reference for QRTR -- minimal tools and services
+ This is a udeb, or a microdeb, for the debian-installer.
+ .
+ QRTR is Qualcomm's IPC Router protocol, used for communicating with
+ services provided by remote processors. It is mandatory for taking
+ advantage of most features of recent Qualcomm SoCs, such as Wi-Fi,
+ cellular modem, sensors...
+ .
+ This package contains the minimal tools and services provided by
+ the reference userspace implementation of this protocol.
