=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dqrtr-ns=enabled -Dsystemd-service=enabled
