## qrtr 1.2

=== debian/changelog ===
qrtr (1.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patches
  * d/watch: convert to version 5
  * d/control: drop Rules-Requires-Root.
    This is now unneeded. Also bump Standards-Version as no other change is
    needed.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 15 Dec 2025 11:18:59 +0100
