=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
                meson,
@@ -13,11 +13,10 @@
 Homepage: https://github.com/linux-msm/qrtr
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/qrtr.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/qrtr
-Rules-Requires-Root: no
 
 Package: libqrtr1
 Section: libs
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Multi-Arch: same
@@ -34,7 +33,7 @@
 Build-Profiles: <!noudeb>
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Userspace reference for QRTR -- minimal runtime
@@ -50,7 +49,7 @@
 
 Package: libqrtr-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libqrtr1 (= ${binary:Version}),
@@ -63,7 +62,7 @@
  This package contains the development files.
 
 Package: qrtr-tools
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: Userspace reference for QRTR -- tools and services
@@ -79,7 +78,7 @@
 Build-Profiles: <!noudeb>
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: Userspace reference for QRTR -- minimal tools and services
